/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { XYChartDescription } from "./XYChartDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let CategoryChartDescription = /*@__PURE__*/ (() => {
    class CategoryChartDescription extends XYChartDescription {
        constructor() {
            super();
            this.kt = null;
            this.kx = null;
            this.kr = null;
            this.kp = null;
            this.kl = 0;
            this.ku = null;
            this.kq = null;
            this.ks = null;
            this.jx = false;
            this.kv = null;
            this.kw = null;
            this.j6 = 0;
            this.j7 = 0;
            this.j5 = 0;
            this.j8 = 0;
            this.j9 = 0;
            this.jz = false;
            this.km = 0;
            this.kb = 0;
            this.ka = 0;
            this.kc = 0;
            this.jr = null;
            this.js = null;
            this.jy = false;
            this.jv = false;
            this.jw = false;
        }
        get tooltipTemplateRef() {
            return this.kt;
        }
        set tooltipTemplateRef(a) {
            this.kt = a;
            this.e("TooltipTemplateRef");
        }
        get width() {
            return this.kx;
        }
        set width(a) {
            this.kx = a;
            this.e("Width");
        }
        get height() {
            return this.kr;
        }
        set height(a) {
            this.kr = a;
            this.e("Height");
        }
        get background() {
            return this.kp;
        }
        set background(a) {
            this.kp = a;
            this.e("Background");
        }
        get_type() {
            return "CategoryChart";
        }
        get transitionInDuration() {
            return this.kl;
        }
        set transitionInDuration(a) {
            this.kl = a;
            this.e("TransitionInDuration");
        }
        get transitionInEasingFunctionRef() {
            return this.ku;
        }
        set transitionInEasingFunctionRef(a) {
            this.ku = a;
            this.e("TransitionInEasingFunctionRef");
        }
        get chartType() {
            return this.kq;
        }
        set chartType(a) {
            this.kq = a;
            this.e("ChartType");
        }
        get markerCollisionAvoidance() {
            return this.ks;
        }
        set markerCollisionAvoidance(a) {
            this.ks = a;
            this.e("MarkerCollisionAvoidance");
        }
        get isTransitionInEnabled() {
            return this.jx;
        }
        set isTransitionInEnabled(a) {
            this.jx = a;
            this.e("IsTransitionInEnabled");
        }
        get transitionInMode() {
            return this.kv;
        }
        set transitionInMode(a) {
            this.kv = a;
            this.e("TransitionInMode");
        }
        get transitionInSpeedType() {
            return this.kw;
        }
        set transitionInSpeedType(a) {
            this.kw = a;
            this.e("TransitionInSpeedType");
        }
        get xAxisInterval() {
            return this.j6;
        }
        set xAxisInterval(a) {
            this.j6 = a;
            this.e("XAxisInterval");
        }
        get xAxisMinorInterval() {
            return this.j7;
        }
        set xAxisMinorInterval(a) {
            this.j7 = a;
            this.e("XAxisMinorInterval");
        }
        get xAxisGap() {
            return this.j5;
        }
        set xAxisGap(a) {
            this.j5 = a;
            this.e("XAxisGap");
        }
        get xAxisOverlap() {
            return this.j8;
        }
        set xAxisOverlap(a) {
            this.j8 = a;
            this.e("XAxisOverlap");
        }
        get yAxisInterval() {
            return this.j9;
        }
        set yAxisInterval(a) {
            this.j9 = a;
            this.e("YAxisInterval");
        }
        get yAxisIsLogarithmic() {
            return this.jz;
        }
        set yAxisIsLogarithmic(a) {
            this.jz = a;
            this.e("YAxisIsLogarithmic");
        }
        get yAxisLogarithmBase() {
            return this.km;
        }
        set yAxisLogarithmBase(a) {
            this.km = a;
            this.e("YAxisLogarithmBase");
        }
        get yAxisMinimumValue() {
            return this.kb;
        }
        set yAxisMinimumValue(a) {
            this.kb = a;
            this.e("YAxisMinimumValue");
        }
        get yAxisMaximumValue() {
            return this.ka;
        }
        set yAxisMaximumValue(a) {
            this.ka = a;
            this.e("YAxisMaximumValue");
        }
        get yAxisMinorInterval() {
            return this.kc;
        }
        set yAxisMinorInterval(a) {
            this.kc = a;
            this.e("YAxisMinorInterval");
        }
        get negativeBrushes() {
            return this.jr;
        }
        set negativeBrushes(a) {
            this.jr = a;
            this.e("NegativeBrushes");
        }
        get negativeOutlines() {
            return this.js;
        }
        set negativeOutlines(a) {
            this.js = a;
            this.e("NegativeOutlines");
        }
        get yAxisAbbreviateLargeNumbers() {
            return this.jy;
        }
        set yAxisAbbreviateLargeNumbers(a) {
            this.jy = a;
            this.e("YAxisAbbreviateLargeNumbers");
        }
        get isCategoryHighlightingEnabled() {
            return this.jv;
        }
        set isCategoryHighlightingEnabled(a) {
            this.jv = a;
            this.e("IsCategoryHighlightingEnabled");
        }
        get isItemHighlightingEnabled() {
            return this.jw;
        }
        set isItemHighlightingEnabled(a) {
            this.jw = a;
            this.e("IsItemHighlightingEnabled");
        }
    }
    CategoryChartDescription.$t = markType(CategoryChartDescription, 'CategoryChartDescription', XYChartDescription.$);
    return CategoryChartDescription;
})();
